Jump to content

About OWNERID


devitg

Recommended Posts

When a VLAX-dump-obj to a dimension ,  Select Object:; IAcadDimDiametric: IAcadDimDiametric Interface

It return all its property and method . Among other this ones 

;   ObjectID (RO) = 44
;   ObjectName (RO) = "AcDbDiametricDimension"
;   OwnerID (RO) = 43

Off course I get that the ObjectID , relates to the  "AcDbDiametricDimension"

and the 

OwnerID could or should relate to the dimensioned circle

How I can get such circle entity or vl-obj  value ?

Or the CIRCLE HANDLE  

 

Find attached the sample.dwg where I got the DUMP 

And mtext the DXF 10 11 and 15 

 

But for a given AcDbDiametricDimension. How I can get?  , or the circle obj or the circle handle or circle entity name or whatever a way to handle the diametral dim text position  

 

image.png.2367d8414c3002b3827a546b21bc035a.png

 

 

 

 

It is the whole DUMP for the AcDbDiametricDimension", as it can be see the dim have only one point value, the text  insertion point

 

Quote

;   TextPosition = (-104.255 6.01534 0.0)
 

 

Off course that the entget for the same dim have its code 10 11 and 15 

(setq ent (car (entsel)))
(setq ent-dat (entget ent))

(setq dxf10 (cdr(assoc 10 ent-dat)))
(setq dxf11 (cdr(assoc 11 ent-dat)))
(setq dxf15 (cdr(assoc 15 ent-dat)))

 

 

DXF11 for the text insertion point 

DXF15 for the near point at circle 

DXF10 for the far point at circle 

Of course with  a  (ssget "f"  10 15 , i can get the CIRCLE ent .

 

 

 

 

 

Command: 
Select Object:; IAcadDimDiametric: IAcadDimDiametric Interface
; Property values:
;   AltRoundDistance = 0.0
;   AltSuppressLeadingZeros = 0
;   AltSuppressTrailingZeros = 0
;   AltSuppressZeroFeet = -1
;   AltSuppressZeroInches = -1
;   AltTextPrefix = ""
;   AltTextSuffix = ""
;   AltTolerancePrecision = 3
;   AltToleranceSuppressLeadingZeros = 0
;   AltToleranceSuppressTrailingZeros = 0
;   AltToleranceSuppressZeroFeet = -1
;   AltToleranceSuppressZeroInches = -1
;   AltUnits = 0
;   AltUnitsFormat = 2
;   AltUnitsPrecision = 3
;   AltUnitsScale = 0.0393701
;   Application (RO) = #<VLA-OBJECT IAcadApplication 00007ff68fbdb0b8>
;   Arrowhead1Block = ""
;   Arrowhead1Type = 0
;   Arrowhead2Block = ""
;   Arrowhead2Type = 0
;   ArrowheadSize = 2.5
;   CenterMarkSize = 2.5
;   CenterType = 0
;   DecimalSeparator = ","
;   DimConstrDesc = Ocurrió una excepción
;   DimConstrExpression = Ocurrió una excepción
;   DimConstrForm = 0
;   DimConstrName = Ocurrió una excepción
;   DimConstrReference = 0
;   DimConstrValue = Ocurrió una excepción
;   DimensionLineColor = 0
;   DimensionLinetype = "ByBlock"
;   DimensionLineWeight = -2
;   DimLine1Suppress = 0
;   DimLine2Suppress = 0
;   DimTxtDirection = 0
;   Document (RO) = #<VLA-OBJECT IAcadDocument 000001c14f6f21c8>
;   EntityTransparency = "ByLayer"
;   Fit = 3
;   ForceLineInside = -1
;   FractionFormat = 0
;   Handle (RO) = "59"
;   HasExtensionDictionary (RO) = -1
;   Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 000001c14f1a2bb8>
;   Layer = "0"
;   LeaderLength (RO) = ...Indexed contents not shown...
;   LinearScaleFactor = 1.0
;   Linetype = "ByLayer"
;   LinetypeScale = 1.0
;   Lineweight = -1
;   Material = "ByLayer"
;   Measurement (RO) = 58.4788
;   Normal = (0.0 0.0 1.0)
;   ObjectID (RO) = 44
;   ObjectName (RO) = "AcDbDiametricDimension"
;   OwnerID (RO) = 43
;   PlotStyleName = "ByLayer"
;   PrimaryUnitsPrecision = 2
;   Rotation = 0.0
;   RoundDistance = 0.0
;   ScaleFactor = 1.0
;   StyleName = "ISO-25"
;   SuppressLeadingZeros = 0
;   SuppressTrailingZeros = -1
;   SuppressZeroFeet = -1
;   SuppressZeroInches = -1
;   TextColor = 0
;   TextFill = 0
;   TextFillColor = 0
;   TextGap = 0.625
;   TextHeight = 2.5
;   TextInside = 0
;   TextInsideAlign = 0
;   TextMovement = 0
;   TextOutsideAlign = 0
;   TextOverride = ""
;   TextPosition = (-104.255 6.01534 0.0)
;   TextPrefix = ""
;   TextRotation = 0.0
;   TextStyle = "Standard"
;   TextSuffix = ""
;   ToleranceDisplay = 0
;   ToleranceHeightScale = 1.0
;   ToleranceJustification = 0
;   ToleranceLowerLimit = 0.0
;   TolerancePrecision = 2
;   ToleranceSuppressLeadingZeros = 0
;   ToleranceSuppressTrailingZeros = -1
;   ToleranceSuppressZeroFeet = -1
;   ToleranceSuppressZeroInches = -1
;   ToleranceUpperLimit = 0.0
;   TrueColor = #<VLA-OBJECT IAcadAcCmColor 000001c14f18f6e0>
;   UnitsFormat = 2
;   VerticalTextPosition = 1
;   Visible = -1
; Methods supported:
;   ArrayPolar (3)
;   ArrayRectangular (6)
;   Copy ()
;   Delete ()
;   GetBoundingBox (2)
;   GetExtensionDictionary ()
;   GetXData (3)
;   Highlight (1)
;   IntersectWith (2)
;   Mirror (2)
;   Mirror3D (3)
;   Move (2)
;   Rotate (2)
;   Rotate3D (3)
;   Scal_LogfileOff 

 

diametral circle with DXF.dwg

Link to comment
Share on other sites

Owner id is reset every time you load a drawing.

I posted some code but cant find it. it was either entsel or entget that used the point to select another entity.

you could use that to with dxf cod 10 or 15 to select the circle to get what you need.

  • Like 1
Link to comment
Share on other sites

Is it this owner ID? It is the Model space ID of the entity.

---------------------

AutoCAD ActiveX and VBA Reference

OwnerID property

Gets the object ID of the owner (parent) object.

Signature

object.OwnerID

object

All Drawing objects, Block, Blocks, Dictionary, Dictionaries, DimStyle, DimStyles, Group, Groups, Layer, Layers, Layout, Layouts, Linetype, Linetypes, ModelSpace Collection, PaperSpace Collection, PlotConfiguration, PlotConfigurations, RegisteredApplication, RegisteredApplications, TextStyle, TextStyles, UCS, UCSs, View, Views, Viewport, Viewports, XRecord
The object this property applies to.

OwnerID

Long_PTR; read-only
The object ID of an object's owner.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...